Subject: RE: [lojban] the set of answers

From: "And Rosta" <[email-masked]>
Date: Sat, 22 Sep 2001 19:23:47 +0100

pc:
> In a message dated 9/14/2001 8:09:01 PM Central Daylight Time,
> [email-masked] writes:
> <If you mean that you can't see my formalizations as formalizations of the
> set of answers analysis, then that's fair enough, and you need either
> to accept my formalization and drop the set of answers analysis or else to
> seek another formalization.
>
> If you mean that my formalizations are not semantically (truthconditionally,
> let's say) adequate formalizations of qkau/interrogative sentences, then
> this should be proved by citing instances of truthconditional
> nonequivalence.>
>
> Hard to do until we look at all the contexts. It does not seem to
> work on {ko'a krici le du'u makau klama}, since who ko'a believes to
> go may not indeed go. I suppose there is a patch for this, though I
> don't know what it is. We will look at other cases as they arise.

I've just sent off a reply to another message that denies that the
extension analysis fails to work with krici. to claim that "there is some
x such that John believes that x is the extension of tu'odu'u ce'u klama"
is not to claim that "x is the extension of tu'odu'u ce'u klama".

> <I sort of understand now roughly what your general position is, but I still
> can't make sense of it. For "Dubya and Chelsea differ in who their mother
> is" (or its proper logical or Lojban equivalent), I don't see either why
> "who" is restricted or why "their" is unrestricted>
> "Who" is restricted because the only usable arguments are human
> females of the present and recent past and..., "their" is of course
> restricted, but the {ce'u} that emerges from it is not, since they
> differ with respect to the whole function -- the difference only
> emergees in the particular case, but the function runs through its
> entire set of arguments.

I still couldn't reproduce and apply your reasoning about this, let's
let this one drop for the time being.

> <If you can find my original statement of the analysis, you'll see that those
> caveats applied to "depend" and "differ" qkau constructions. That's why
> the message header said it was an ungeneralized analysis. I haven't issued
> any assurances that the analysis is correct, but it's the only formalization
> proposed so far that hasn't been shown to be inadequate.>
>
> OK. Well, set of answers works smoothly for those two cases, as
> outlined elsewhere in the message being quoted. Of course, you can
> argue it is not formalized, but it is up to trivial objections. And
> it is done within a general system. I don't claim that it is correct
> beyond the implicit one in pursuing it, but I haven't seen
> functioning objections to it yet either.
>
> As for a plausible case of it working, what do you want? The normal strategy
> we employ in our discussions is to present reasons why an analysis fails.
> Analyses that resist falsification are accepted as correct.>
>
> The reason why analysis fails is that it does not provide a correct
> analysis (one that works out right according to some pretest sense of
> what the analysis should do) of a case. So, we have to look at
> cases. So far set-of-answers is ahead on points, working for {dunli,
> frica, djuno, krici} and the menu problem, while extension works well
> for {djuno}, not for {krici}, and questionably for the rest.

I yet again reject the idea that Set-of-Answers and Extension can be
treated as competitors.

I think I can translate any Set-of-Answers analysis into an Extension
one, so whatever Set-of-Answers works for, so does Extension.

> <I'm surprised at this objection. Do you really think that non-ma questions
> can't be restructured so that they contain a ma? And even if your answer
> were Yes, would there not equally be a case for a ce'u counterpart of
> non-ma q-words?>
>
> Of course we can reformulate to just use {ma}, though provbing that
> we had exactly the same thing as before might be difficult without
> already having a general solution to the Q-kau issue. And we can, of
> course, introduce lambda operators of higher levels. The point is
> just that I don't see the need to if the solution doesn't require it
> -- and I don't see it doing so.

The solution does require it if that by definition is a criterion of
what counts as a solution -- for me to understand qkau I need to feduce
it to a logical formula that contains logical elements only of standard
sorts.

> <The fact that working
> > woith both of these as {ce'u} presents you with a logical problem, suggests
> > to me that the assumption you are working with (that they both are
> {ce'u}) is
> > likely wrong.
>
> If you're talking about the two variables in the "differ in who they love"
> construction, then I do not assume that the "they" element is a ce'u.>
>
> Ah. What is it then that it gives you a two-ce'u problem?

"differ in who they love". Standard lojban renders "they" as ce'u. I
think "who" should be rendered as ce'u. Hence apparent two-ce'u
problem. Solution: "they" is not ce'u. The solution was spelt out in an
earlier message, which I repeat here, for your convenience:

#I think I am now able to offer a halfway decent analysis:
#
#no da ro de poi ke'a cmima la dybiyb ce la tcelsik [-- or cmima of whatever
#class of differers --] zo'u
#da -extension-of tu'odu'u ce'u mamta de
#
#= D frica C tu'odu'u ma kau mamta ce'u
#= Dubya and Chelsea differ in who their mothers are
#
#Now that can be done more simply as:
#
#no da ro de poi ke'a cmima la dybiyb ce la tcelsik zo'u da mamta de
#
#or indeed
#
#no da mamta ge la dybiyb gi la tcelsik
#
#But the longerwinded method comes into its own in cases like:
#
# X and Y differ in who gave them what
#= ... frica tu'odu'u ma kau dunda ma kau ce'u
#= ... da -extension of tu'odu'u ce'u dunda ce'u de
#
#Admittedly, this "halfway decent analysis" does not use {frica}, but there
#was no guarantee that {frica} is logically sound, and hence no guarantee
#that frica could be used in a logically explicit formulation.

--And.